%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-lzma
Version:        0.03
Release:        %mkrel 1
Summary:        OCaml bindings for the LZMA compression library
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://github.com/fccm/ocaml-lzma
Source0:        https://github.com/fccm/ocaml-lzma/archive/v%{version}/%{name}-%{version}.tar.gz
ExcludeArch:    %{ix86} %{arm32}
BuildRequires:  ocaml
BuildRequires:  ocaml-rpm-macros
BuildRequires:  pkgconfig(liblzma)

%description
OCaml bindings for the LZMA compression library.
Lzma provides very high compression ratio and fast decompression,
the average compression ratio is 30% better than that of gzip and
15% better than that of bzip2.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       liblzma-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup

%build
cd src/
%ifnarch %{ocaml_native_compiler}
make byte cma
%else
make
%endif
make doc

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/lzma
mkdir -p %{buildroot}%{_libdir}/ocaml/stublibs
make install -C src/ \
  PREFIX=%{buildroot}%{_libdir}/ocaml/lzma \
  SO_PREFIX=%{buildroot}%{_libdir}/ocaml/stublibs
rm -f %{buildroot}%{_libdir}/ocaml/lzma/*.o
rm -f %{buildroot}%{_libdir}/ocaml/lzma/*.cmo

mkdir examples
cp check/test_* examples/

%ocaml_files

%files -f .ofiles
%doc README.txt description.txt
%license LICENSE.txt

%files devel -f .ofiles-devel
%doc examples


%changelog
* Mon Jun 23 2025 daviddavid <daviddavid> 0.03-1.mga10
+ Revision: 2194107
- new version: 0.0.3
- rebuild for ocaml 5.3.0

* Wed May 18 2022 pterjan <pterjan> 0.01-25.mga9
+ Revision: 1858765
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.01-24.mga9
+ Revision: 1832112
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 0.01-23.mga9
+ Revision: 1750706
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.01-22.mga9
+ Revision: 1696530
- rebuild for ocaml-4.2-12

* Fri Aug 21 2020 umeabot <umeabot> 0.01-21.mga8
+ Revision: 1617570
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.01-20.mga8
+ Revision: 1551161
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 0.01-19.mga8
+ Revision: 1545205
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 tv <tv> 0.01-18.mga8
+ Revision: 1484295
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.01-17.mga7
+ Revision: 1324051
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.01-16.mga7
+ Revision: 1323766
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.01-15.mga7
+ Revision: 1299892
- Mageia 7 Mass Rebuild

* Sun Nov 26 2017 tv <tv> 0.01-14.mga7
+ Revision: 1179550
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.01-13.mga6
+ Revision: 1056420
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 0.01-12.mga6
+ Revision: 956384
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.01-11.mga5
+ Revision: 738805
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.01-10.mga5
+ Revision: 683062
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.01-9.mga4
+ Revision: 545758
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 blue_prawn <blue_prawn> 0.01-8.mga4
+ Revision: 501735
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.01-7.mga3
+ Revision: 361486
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.01-6.mga3
+ Revision: 301668
- new rpm group for ocaml

* Wed Nov 23 2011 malo <malo> 0.01-5.mga2
+ Revision: 171337
- missing Requires liblzma-devel
- removing unused .o and .cmo files

* Mon Nov 14 2011 fwang <fwang> 0.01-4.mga2
+ Revision: 167484
- mageia has its own patch on LZMA_PRESET_TEXT

* Sun Oct 02 2011 fwang <fwang> 0.01-3.mga2
+ Revision: 150918
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 0.01-2.mga1
+ Revision: 82388
- clean spec file
- Imported package ocaml-lzma from Mandriva where it has been made by Florent Monnier (aka blue prawn).


* Sat Nov 27 2010 Funda Wang <fwang@mandriva.org> 0.01-2mdv2011.0
+ Revision: 601657
- fix build with xz 5.0

* Mon Apr 26 2010 Florent Monnier <blue_prawn@mandriva.org> 0.01-1mdv2011.0
+ Revision: 539376
- BuildRequires: liblzma-devel
- BuildRequires: ocaml
- import ocaml-lzma


